"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _crypto = _interopRequireDefault(require("crypto"));

var _uaParserJs = _interopRequireDefault(require("ua-parser-js"));

var _getLocal = _interopRequireDefault(require("./getLocal"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = async ({
  header,
  ip
}) => {
  const ua = header['user-agent'];
  const parser = new _uaParserJs.default(ua);
  const eq = parser.getOS().name;

  const uv = _crypto.default.createHash('md5').update(ip + ua).digest('hex');

  let lo = '';

  try {
    const _ref = await (0, _getLocal.default)(ip),
          data = _ref.data;

    lo = data ? data.city : '';
  } catch (e) {}

  return {
    eq,
    uv,
    lo
  };
};

exports.default = _default;