"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _superagent = _interopRequireDefault(require("superagent"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// ipv6的淘宝不支持
var _default = async ip => ip[0] !== ':' && _superagent.default.get('http://ip.taobao.com/service/getIpInfo.php?ip=' + ip).then(i => i.text).then(JSON.parse);
/*
返回示例
{
  code: 0,
  data: {
    ip: '115.171.168.0',
    country: '中国',
    area: '',
    region: '北京',
    city: '北京',
    county: 'XX',
    isp: '电信',
    country_id: 'CN',
    area_id: '',
    region_id: '110000',
    city_id: '110100',
    county_id: 'xx',
    isp_id: '100017'
  }
}
*/


exports.default = _default;