"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var _default = fields => fields.reduce((results, field) => {
  const length = field.length;
  const lastChar = field.substring(length - 1);
  const restChar = field.substring(0, length - 1);
  const fn = lastChar === 's' ? async (root, _, context) => context.loader[restChar].lm(root[restChar + 'Ids']) : async (root, _, context) => context.loader[field].l(root[field + 'Id']);
  return _objectSpread({}, results, {
    [field]: fn
  });
}, {});
/*

typeResolver([ 'coupon', 'orders' ])
  =>
{
  coupon: async (root, _, context) => context.loader['coupon'].l(root['coupon' + 'Id']),
  orders: async (root, _, context) => context.loader['order'].lm(root['order' + 'Ids'])
}

会生成下边的形式
coupon: async ({ couponId }, _, { loader }) => loader.coupon.l(couponId)

缺点是必须字段名与loader名与id名，三个名要一致，不太灵活

*/


exports.default = _default;