"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _superagent = _interopRequireDefault(require("superagent"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
  新浪的，等有了appKey再用，这个比较稳定
  要写appId
  返回结果是数组，因为可以传多个url_long，最多20个
  url_long=aaa&url_long=bbb

  sa
    .get(`http://api.t.sina.com.cn/short_url/shorten.json?source=${appId}&url_long=${encodeURIComponent( url)}`)
    .then(res => res.body[0].url_short)

  返回结果示例
  [{ url_short: 'http://t.cn/ReCqY16', url_long: 'http://www.baidu.com', type: 0 }]

  百度的dwz，需要先收录，不然不让用，token好象随便写
  sa
    .post('https://dwz.cn/admin/v2/create')
    .send({ url })
    .set('Token', '0fa1da9ad5c0a1b93567a3eb9c713b52')
    .set('Content-Type', 'application/json')
    .then(res => res.body.ShortUrl)

  返回结果示例
  { Code: 0, IsNew: true, ShortUrl: 'https://dwz.cn/rAZjdrHD', LongUrl: 'https://www.baidu.com', ErrMsg: '' }
*/
const t = tool => url => _superagent.default.get(tool + url).then(res => res.text);

const b = (tool, a) => url => _superagent.default.get(tool + url).then(res => res.body[a]);

const tiny = t('http://tinyurl.com/api-create.php?url='); // tinyurl 之前被微信封了，现在好象又开了

const sohu = t('https://sohu.gg/api?key=public&url='); // sohu 微信打不开时跳到其它广告页

const isgd = t('https://is.gd/create.php?format=simple&url=');
const suo = b('http://suo.im/api.php?format=json&url=', 'url'); // 经常会跳到广告页，可以去suo.im官网查看一些监控的效果 http://stat.suo.im/login.html

var _default = {
  tiny,
  sohu,
  isgd,
  suo
};
exports.default = _default;